<?php
$bt ="影像-片刻的感动";
include("../conn.php");
include("../head.php");
include_once("../function.php");
$sid = sqlstr($_COOKIE['dl']);
$uin=mysql_fetch_array(mysql_query("select * from user where sid='$sid'"));
$id=$uin['id'];
$zan=0;
$username=$uin['name'];
$time=time();
$pictxt=sqlstr($_POST["pictxt"]);
if(!$uin){
header("Location:../login.php");
exit;//跳转到登录页面
}
$date_jt=date("d M Y");
$jt=strtotime($date_jt);
$uinfo=mysql_fetch_array(mysql_query("select * from pic where piczzid='$id' ORDER BY pictime DESC"));
$picdate=$uinfo['pictime'];
if($picdate>$jt){
echo "<br/><br/><div id='main'>你今天已经记录了一张图片，每天只能记录一张图片哦。<a href='index.php'>返回>></a></div><br/><br/>";
}else{

echo '<div id="main"><p class="hl">图像，文字不能表达的感动</p></div>';

$uptypes=array('image/jpg', 'image/jpeg', 'image/png', 'image/pjpeg', 'image/gif', 'image/bmp', 'image/x-png' ,'image/JPG', 'image/JPEG', 'image/PNG', 'image/PJPEG', 'image/GIF', 'image/BMP', 'image/X-PNG' ); //允许上传格式
$max_file_size=3000000; //上传文件大小限制, 单位BYTE 
$destination_folder="../../image/pic/"; //上传文件路径 
$imgpreview=1; //是否生成预览图(1为生成,其他为不生成); 
$imgpreviewsize=1/2; //缩略图比例 
$file = $_FILES["file"]; 

if(!is_uploaded_file($_FILES["file"]['tmp_name'])) //是否存在文件 
{ 
echo '<br/><div id="main">你确定上传图片了吗？我怎么没有接收到呢？<a href="add.php">返回>></a></div><br/>';
}elseif($max_file_size < $file["size"]) 
//检查文件大小 
{ 
echo '<br/><div id="main">你上传的图片太大了吧，不是说好5MB以内吗。<a href="add.php">返回>></a></div><br>'; 
}elseif(!in_array($file["type"], $uptypes)) 
//检查文件类型 
{ 
echo '<br/><div id="main">你上传的不是图片吧？如果你上传真的是一张图片而被系统误会请联系我们。<a href="add.php">返回重试>></a></div><br>'; 
}else{

if(!file_exists($destination_folder)) 
mkdir($destination_folder); 
$filename=$file["tmp_name"]; 
$image_size = getimagesize($filename); 
$pinfo=pathinfo($file["name"]); 
$ftype=$pinfo['extension']; 
$zname=time().".".$ftype;
$destination = $destination_folder.$zname; 
if (file_exists($destination) && $overwrite != true) 
{ 
echo '<br/><div id="main">已经有一张相同名字的图片了~<a href="add.php">返回>></a></div><br/>';
} elseif(!move_uploaded_file ($filename, $destination)){ 

echo '<br/><div id="main">sorry，因为一些原因，图片保存失败了。重试一下？<a href="add.php">返回>></a></div><br/>';
}else{

$pinfo=pathinfo($destination); 
$fname=$pinfo['basename']; 
echo '<div id="main">发布成功<br/>';
echo " <br/>宽度:".$image_size[0]; 
echo " 长度:".$image_size[1]; 
echo "<br/>图片预览:<br/><br/>"; 
echo "<center><a href=\"".$destination."\" target='_blank'><img src=\"".$destination."\" width='75%' height='75%'"; //$imgpreviewsize 是1/2
echo " alt=\"图片预览:\r文件名:".$destination."\r上传时间:\" border='0'></a></center>　　".$pictxt."<br/><br/><div class='you'><a href='index.php'>返回影像</a>　</div></div>";
$imgurl='/image/pic/'.$zname;
mysql_query("INSERT INTO pic(piczz,piczzid,pictime,pic,pictxt,zan) VALUES ('$username', '$id', '$time','$imgurl','$pictxt','$zan')" );
}

}
}


?>



<?php include("../footer.php"); ?>